# Uses of Class
java.awt.event.InputEvent

Packages that use InputEvent
Package
Description
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of InputEvent in java.awt.dnd

Fields in java.awt.dnd with type parameters of type InputEvent
Modifier and Type
Field
Description
`protected ArrayList<InputEvent>`
DragGestureRecognizer.`events`
The list of events (in order) that the `DragGestureRecognizer` "recognized" as a "gesture" that triggers a drag.
Methods in java.awt.dnd that return InputEvent
Modifier and Type
Method
Description
`InputEvent`
DragGestureEvent.`getTriggerEvent()`
Returns the initial event that triggered the gesture.
`InputEvent`
DragGestureRecognizer.`getTriggerEvent()`
This method returns the first event in the series of events that initiated the Drag and Drop operation.
Methods in java.awt.dnd that return types with arguments of type InputEvent
Modifier and Type
Method
Description
`Iterator<InputEvent>`
DragGestureEvent.`iterator()`
Returns an `Iterator` for the events comprising the gesture.
Methods in java.awt.dnd with parameters of type InputEvent
Modifier and Type
Method
Description
`protected void`
DragGestureRecognizer.`appendEvent(InputEvent awtie)`
Listeners registered on the Component by this Recognizer shall record all Events that are recognized as part of the series of Events that go to comprise a Drag and Drop initiating gesture via this API.
Constructor parameters in java.awt.dnd with type arguments of type InputEvent
Modifier
Constructor
Description
``
`DragGestureEvent(DragGestureRecognizer dgr, int act, Point ori, List<? extends InputEvent> evs)`
Constructs a `DragGestureEvent` object given by the `DragGestureRecognizer` instance firing this event, an `act` parameter representing the user's preferred action, an `ori` parameter indicating the origin of the drag, and a `List` of events that comprise the gesture(`evs` parameter).

## Uses of InputEvent in java.awt.event

Subclasses of InputEvent in java.awt.event
Modifier and Type
Class
Description
`class`
`KeyEvent`
An event which indicates that a keystroke occurred in a component.
`class`
`MouseEvent`
An event which indicates that a mouse action occurred in a component.
`class`
`MouseWheelEvent`
An event which indicates that the mouse wheel was rotated in a component.

## Uses of InputEvent in javax.swing

Methods in javax.swing with parameters of type InputEvent
Modifier and Type
Method
Description
`void`
TransferHandler.`exportAsDrag(JComponent comp, InputEvent e, int action)`
Causes the Swing drag support to be initiated.

## Uses of InputEvent in javax.swing.event

Subclasses of InputEvent in javax.swing.event
Modifier and Type
Class
Description
`class`
`MenuDragMouseEvent`
MenuDragMouseEvent is used to notify interested parties that the menu element has received a MouseEvent forwarded to it under drag conditions.
`class`
`MenuKeyEvent`
MenuKeyEvent is used to notify interested parties that the menu element has received a KeyEvent forwarded to it in a menu tree.
Methods in javax.swing.event that return InputEvent
Modifier and Type
Method
Description
`InputEvent`
HyperlinkEvent.`getInputEvent()`
Returns the `InputEvent` that triggered the hyperlink event.
Constructors in javax.swing.event with parameters of type InputEvent
Modifier
Constructor
Description
``
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc, Element sourceElement, InputEvent inputEvent)`
Creates a new object representing a hypertext link event.

## Uses of InputEvent in javax.swing.text.html

Constructors in javax.swing.text.html with parameters of type InputEvent
Modifier
Constructor
Description
``
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)`
Creates a new object representing a hypertext link event.